Skip to main content
GET
/
api
/
v1
/
flows
/
executions
List Executions
curl --request GET \
  --url https://agent-studio.thena.ai/api/v1/flows/executions \
  --header 'x-api-key: <api-key>'
import requests

url = "https://agent-studio.thena.ai/api/v1/flows/executions"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://agent-studio.thena.ai/api/v1/flows/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "executions": [
    {
      "flow_id": "<string>",
      "agent_id": "<string>",
      "organization_id": "<string>",
      "execution_number": 123,
      "started_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "trigger_data": {},
      "variables": {},
      "completed_at": "2023-11-07T05:31:56Z",
      "duration_ms": 123,
      "timeout_seconds": 300,
      "steps": [
        {
          "step_id": "<string>",
          "step_name": "<string>",
          "step_type": "<string>",
          "started_at": "2023-11-07T05:31:56Z",
          "tool_name": "<string>",
          "input_data": {},
          "output_data": {},
          "error_message": "<string>",
          "completed_at": "2023-11-07T05:31:56Z",
          "duration_ms": 123,
          "retry_count": 0,
          "metadata": {}
        }
      ],
      "final_output": {},
      "error_message": "<string>",
      "error_details": {},
      "retry_count": 0,
      "max_retries": 3,
      "parent_execution_id": "<string>",
      "tokens_used": 123,
      "tool_calls_count": 0,
      "cost_estimate": 123,
      "performance_metrics": {},
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "page": 123,
  "page_size": 123,
  "has_more": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Query Parameters

flow_id
string | null

Filter by flow ID

status
enum<string> | null

Filter by status Flow execution status enumeration.

Available options:
pending,
queued,
running,
completed,
failed,
cancelled,
timeout,
retrying
trigger_type
enum<string> | null

Filter by trigger type How the execution was triggered.

Available options:
manual,
event,
scheduled,
api,
webhook,
test
start_date
string<date-time> | null

Filter executions after this date

end_date
string<date-time> | null

Filter executions before this date

page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:50

Number of items per page

Required range: 1 <= x <= 100

Response

Successful Response

Response model for execution list operations.

executions
FlowExecution · object[]
required

List of executions

total_count
integer
required

Total number of executions

page
integer
required

Current page number

page_size
integer
required

Number of items per page

has_more
boolean
required

Whether there are more pages